Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Mambo Open Source / Joomla! GLOBALS Variable Remote File Include Vulnerability


Vulnerability Assessment Details

Mambo Open Source / Joomla! GLOBALS Variable Remote File Include Vulnerability

Vulnerability Assessment Summary
Tries to read a file using Mambo Open Source / Joomla!

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by a
remote file include issue.

Description :

The remote installation of Mambo Open Source or Joomla! permits an
attacker to overwrite the GLOBALS variable array when PHP's
'register_globals' setting is disabled. An unauthenticated attacker
may be able to exploit this issue to view arbitrary files on the
remote host and to execute arbitrary PHP code, possibly taken from
third-party hosts.

See also :

http://archives.neohapsis.com/archives/fulldisclosure/2005-11/0520.html
http://forum.mamboserver.com/showthread.php?t=66154
http://www.joomla.org/content/view/498/74/

Solution :

If using Mambo Open Source, apply the patch from the vendor. If using
Joomla!, upgrade to version 1.0.4 or later.

Network Security Threat Level:

Low / CVSS Base Score : 1.9
(AV:R/AC:H/Au:NR/C:N/I:P/A:N/B:N)

Networks Security ID: 15461

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

ALIENWARE M18x R2 18.4in Gaming Laptop Upgraded 2 the Max with 32GB Ram +2TB SSD
$850.0
ALIENWARE M18x R2 18.4in Gaming Laptop Upgraded 2 the Max with 32GB Ram +2TB SSD pictureDell Latitude E5440 i5-4310U 8GB RAM 500GB HDD NVIDIA GEFORCE 720M win 10 pro
$175.0
Dell Latitude E5440 i5-4310U 8GB RAM 500GB HDD NVIDIA GEFORCE 720M win 10 pro pictureApple Mac Pro 1,1 2x3GHz 5gb RAM 1x256gbSSD 3xHDD ATI Radeon 5770 OSX Lion 10.7
$50.0
Apple Mac Pro 1,1 2x3GHz 5gb RAM 1x256gbSSD 3xHDD ATI Radeon 5770 OSX Lion 10.7 pictureTwo Sticks Or Corsair XMS2 DDR2 1024MB RAM
$0.99
Two Sticks Or Corsair XMS2 DDR2 1024MB RAM picture


Discussions

No Discussions have been posted on this vulnerability.